Bug 20663 - [QT3TS] format-integer-063
[QT3TS] format-integer-063
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite
Working drafts
PC Windows NT
: P2 normal
: ---
Assigned To: O'Neil Delpratt
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 14:14 UTC by Tim Mills
Modified: 2013-01-15 21:54 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2013-01-14 14:14:11 UTC
This test expects an error:

    <test-case name="format-integer-063">
        <description>Third argument as a string not in the form of a language code</description>
        <created by="Michael Kay, Saxonica" on="2012-12-07"/>
        <environment ref="empty"/>
        <test>format-integer(11, 'Ww', '@*!+%')</test>
        <result>
            <error code="FODF1310"/>
        </result>    
    </test-case>

but according to http://www.w3.org/TR/xpath-functions-30/#func-format-integer

"If the $lang argument is absent, or is set to an empty sequence, or is invalid, or is not a language supported by the implementation, then the number is formatted using the default language from the dynamic context."
Comment 1 Michael Kay 2013-01-15 17:41:25 UTC
Agreed, fixed.
Comment 2 Tim Mills 2013-01-15 21:54:11 UTC
Thanks.